Creates a new user_skill_list object
Request Information
URI Parameters :
None.
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "e17dd1df-4572-4a87-89d5-980bc96a9acd",
"user_id": "f423b930-24d4-45df-a7b2-b899b4d60025",
"user_code": "sample string 3",
"user": {
"id": "6b5dd8b7-87b8-4455-81b9-c16c4fa9727c",
"db_language_id": "e0dfc4a7-e586-4e2b-9587-e31917695b23",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-09-14T05:49:09.6442019+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "6591c617-d457-4347-85fa-e9371ea0c271",
"sales_organization": {
"id": "2293acea-8acd-4546-8783-ae3400956883",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b1688217-115b-4c3c-9583-462caaf46cd1",
"db_currency_id": "e725127a-87b6-4935-9f5b-15246e820db6",
"db_language_id": "012a43ac-b4ce-47b6-99e6-4d4a887792b3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-09-14T05:49:09.6442019+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "8a957126-259a-4827-b681-151f6d82e5fe",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "143c39c2-8a1a-4530-b235-cfd4c4bd8c6e",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-09-14T05:49:09.6442019+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "cbdd94a1-e8c3-4a56-a3c3-77c6452b43b5"
},
"skill_id": "380deb6f-4b9d-477f-b39d-d33a97fb1ced",
"skill_code": "sample string 5",
"skill": {
"id": "07bf5158-75f2-480f-9cbc-e621a82ed8af",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "b5a30440-e7cd-469b-a060-881cd510b92a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "2293acea-8acd-4546-8783-ae3400956883",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b1688217-115b-4c3c-9583-462caaf46cd1",
"db_currency_id": "e725127a-87b6-4935-9f5b-15246e820db6",
"db_language_id": "012a43ac-b4ce-47b6-99e6-4d4a887792b3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-09-14T05:49:09.6442019+00:00"
},
"modified_dateutc": "2026-09-14T05:49:09.6442019+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-09-14T05:49:09.6442019+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.